ServerEvents.recipes(GregTechApocalypse => {

  GregTechApocalypse.remove({ id: 'torchmaster:megatorch' })
  GregTechApocalypse.shaped('torchmaster:megatorch', ['UUU', 'DAD', 'EBE'], {
    U: 'ad_astra:photovoltaic_etrium_cell',
    D: 'gtceu:hv_sensor',
    E: 'ad_astra:desh_cable',
    A: 'gtceu:hv_field_generator',
    B: 'torchmaster:feral_flare_lantern'
  })
  GregTechApocalypse.remove({ id: 'torchmaster:feral_flare_lantern' })
  GregTechApocalypse.shaped('torchmaster:feral_flare_lantern', [' B ', 'DAD', ' B '], {
    D: '#forge:glass',
    A: 'minecraft:glowstone',
    B: 'gtceu:gold_foil'
  })

})